This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 850390

Summary: Introduce new systemd-rpm macros in bacula spec file
Product: [Fedora] Fedora Reporter: Lukáš Nykrýn <lnykryn>
Component: baculaAssignee: Andreas Thienemann <andreas>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 18CC: andreas, fschwarz, limburgher, lnykryn, negativo17, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-23 23:24:21 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 850016    

Description Lukáš Nykrýn 2012-08-21 10:21:35 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Fedora Update System 2012-09-12 08:43:18 EDT
bacula-5.2.11-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/bacula-5.2.11-1.fc17
Comment 2 Fedora Update System 2012-09-12 08:43:56 EDT
bacula-5.2.11-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bacula-5.2.11-1.fc18
Comment 3 Fedora Update System 2012-09-12 09:26:53 EDT
bacula-5.2.11-1.fc17,bacula-docs-5.2.11-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/bacula-5.2.11-1.fc17,bacula-docs-5.2.11-1.fc17
Comment 4 Fedora Update System 2012-09-12 09:32:34 EDT
bacula-5.2.11-1.fc18,bacula-docs-5.2.11-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bacula-5.2.11-1.fc18,bacula-docs-5.2.11-1.fc18
Comment 5 Fedora Update System 2012-09-12 15:11:04 EDT
Package bacula-5.2.11-1.fc18, bacula-docs-5.2.11-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bacula-5.2.11-1.fc18 bacula-docs-5.2.11-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13851/bacula-5.2.11-1.fc18,bacula-docs-5.2.11-1.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-09-13 03:29:07 EDT
bacula-5.2.11-2.fc17,bacula-docs-5.2.11-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/bacula-5.2.11-2.fc17,bacula-docs-5.2.11-1.fc17
Comment 7 Fedora Update System 2012-09-13 03:29:53 EDT
bacula-5.2.11-2.fc18,bacula-docs-5.2.11-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bacula-5.2.11-2.fc18,bacula-docs-5.2.11-1.fc18
Comment 8 Fedora Update System 2012-09-13 04:19:27 EDT
bacula-5.2.11-3.fc17,bacula-docs-5.2.11-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/bacula-5.2.11-3.fc17,bacula-docs-5.2.11-1.fc17
Comment 9 Fedora Update System 2012-09-13 04:20:06 EDT
bacula-5.2.11-3.fc18,bacula-docs-5.2.11-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bacula-5.2.11-3.fc18,bacula-docs-5.2.11-1.fc18
Comment 10 Fedora Update System 2012-09-23 23:24:21 EDT
bacula-5.2.11-3.fc18, bacula-docs-5.2.11-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-09-26 04:58:41 EDT
bacula-5.2.11-3.fc17, bacula-docs-5.2.11-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.